<?php

namespace Drupal\billing\Controller;

/**
 * @file
 * Contains \Drupal\billing\Controller\BillingTransactionManager.
 */
use Drupal\Core\Controller\ControllerBase;

/**
 * Transaction Manager.
 */
class CurrencyHelper extends ControllerBase {

  /**
   * Check.
   */
  public static function checkCurrency($currency) {
    $result = 'XXX';
    $currencies = self::formOptions();
    if (isset($currencies[$currency])) {
      $result = $currency;
    }
    return $result;
  }

  /**
   * Duble: \Drupal::service('currency.form_helper')->getCurrencyOptions().
   */
  public static function formOptions() {
    $currency_storage = \Drupal::entityManager()->getStorage('currency');
    $currencies = $currency_storage->loadMultiple();
    $curr = [];
    foreach ($currencies as $currency) {
      // Do not show disabled currencies.
      if ($currency->status()) {
        $options[$currency->id()] = t('@currency_title (@currency_code)', [
          '@currency_title' => $currency->label(),
          '@currency_code' => $currency->id(),
        ]);
      }
    }
    natcasesort($options);

    return $options;
  }

}
